Package: gamera / 3.4.1+svn1423-4

Metadata

Package Version Patches format
gamera 3.4.1+svn1423-4 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
suppress wxdebug assertion messages.diff | (download)

gamera/gui/gui.py | 1 1 + 0 - 0 !
1 file changed, 1 insertion(+)

 suppress wxdebug assertion messages
 gamera-gui: prevent warning on not properly closed event handlers
 on exit
wxpython3.0 transition.diff | (download)

gamera/gui/gamera_display.py | 4 2 + 2 - 0 !
gamera/gui/gui_util.py | 6 3 + 3 - 0 !
2 files changed, 5 insertions(+), 5 deletions(-)

 updates for the wxpython3.0-transition
 The call of wx.InitAllImageHandlers() is no-op in 2.8 anyway,
 cf. http://bugs.debian.org/758578, so completely disabled here
Bug: http://bugs.debian.org/757208
gendoc use wxversion.diff | (download)

doc/gendoc.py | 3 3 + 0 - 0 !
1 file changed, 3 insertions(+)

 documentation generator: prefer wxpython 2.8
 Make the documentation generator prefer wxPython 2.8 over other versions.
 This patch is intended to alleviate Debian bug #451104.
gendoc draw text.diff | (download)

doc/draw_text_helper.py | 46 46 + 0 - 0 !
doc/gendoc.py | 2 2 + 0 - 0 !
2 files changed, 48 insertions(+)

 use pre-built image for draw_text plugin
 Use a pre-built image for the draw_text plugin documentation example if X
 server is not available.
fix paths.diff | (download)

doc/gendoc.py | 6 6 + 0 - 0 !
gamera/paths.py | 12 5 + 7 - 0 !
2 files changed, 11 insertions(+), 7 deletions(-)

 make plugin/toolkit/test paths compatible with python-support
 Fix documentation generator to look for test files in the build directory.
use system vigra.diff | (download)

setup.py | 1 0 + 1 - 0 !
1 file changed, 1 deletion(-)

 don't use an embedded copy of the vigra library
use system python modules.diff | (download)

gamera/classify.py | 2 1 + 1 - 0 !
gamera/gui/classifier_display.py | 8 4 + 4 - 0 !
gamera/plugin.py | 5 2 + 3 - 0 !
gamera/stats.py | 5 2 + 3 - 0 !
gamera/util.py | 33 16 + 17 - 0 !
5 files changed, 25 insertions(+), 28 deletions(-)

 don't use embedded copies of standard python modules
namespace package.diff | (download)

gamera/toolkits/__init__.py | 7 7 + 0 - 0 !
1 file changed, 7 insertions(+)

 create namespace package ‘gamera.toolkit’
 Create namespace package ‘gamera.toolkit’. This allows python-gamera.toolkit.*
 packages, both those using dh_python2 and those using python-support, to be
 co-importable.
nosetests.diff | (download)

tests/py/__init__.py | 1 1 + 0 - 0 !
tests/py/test.py | 1 1 + 0 - 0 !
tests/test_graph.py | 12 7 + 5 - 0 !
tests/test_image.py | 3 3 + 0 - 0 !
tests/test_plugins.py | 7 6 + 1 - 0 !
5 files changed, 18 insertions(+), 6 deletions(-)

 port the test suite to nose
trap errors from pclose.diff | (download)

tests/test_graph.py | 3 2 + 1 - 0 !
1 file changed, 2 insertions(+), 1 deletion(-)

 trap errors from pclose(3)
fix typos.diff | (download)

INSTALL | 26 13 + 13 - 0 !
doc/src/ga_optimization.txt | 2 1 + 1 - 0 !
doc/src/install.txt | 20 10 + 10 - 0 !
doc/src/kdtree.txt | 2 1 + 1 - 0 !
doc/src/plugins_custom_types.txt | 2 1 + 1 - 0 !
eodev/utils/eoParser.cpp | 2 1 + 1 - 0 !
gamera/gui/gaoptimizer/SettingsPanel.py | 16 8 + 8 - 0 !
gamera/knn.py | 4 2 + 2 - 0 !
gamera/plugins/image_conversion.py | 2 1 + 1 - 0 !
src/knnga.cpp | 2 1 + 1 - 0 !
src/knngamodule.cpp | 26 13 + 13 - 0 !
src/pointobject.cpp | 2 1 + 1 - 0 !
12 files changed, 53 insertions(+), 53 deletions(-)

 fix spelling mistakes
avoid_mktemp.diff | (download)

gamera/io.py | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fixed security hole because of usage of tmpfile.mktemp()
Bug: http://bugs.debian.org/737324
gendoc version parsing.diff | (download)

gamera/gendoc.py | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 fix invalid version number valueerror
 the 'anarchic' version numbering of Pygments (currently in Sid: '2.0rc1') doesn't
 fit into the needs for distutils.version.StrictVersion. LooseVersion isn't perfect,
 but fulfills what's needed here